#device prefix
device_prefix = '/dev'

# list of devices to probe. Use glob wildcards
probe_devices = [
'sd[a-z]',
'sd[a-z][1-9]',
#'hd[a-z]',
#'hd[a-z][1-9]',
'fd[0-1]',
'cdrom',
'sr[0-9]',
'mmcblk[0-9]',
'mmcblk[0-9]p[1-9]',
]


# list of devices NOT TO probe, e.g. floppy can be time consuming if there is no
# floppy drive in the PC. Or add 'sda' 'sda?' here for your primary disk
blacklist_devices = [
'fd1',
#'sda',
#'sda?',
]

# list of devices that are tested even if they are not removables
# useful for hot/cold-swapped IDE disks etc...
whitelist_devices = [
#'hdc',
]

# default options for mount
#default_options = 'users,noatime,sync,dirsync'
# sync has terrible performance with vfat for kernels >= 2.6.14, therefore it is turned off
# it is not ideal, however the performance is again acceptable with 2.6.20
default_options = 'users,noatime,dirsync'


# per-filesystem options
# use two special variables %(uid)s and %(gid)s for current user's uid and gid
fs_options = {
'vfat': default_options+',uid=%(uid)s,gid=%(gid)s,utf8',
'msdos': default_options+',uid=%(uid)s,gid=%(gid)s,utf8',
'iso9660': 'users,ro,utf8,unhide',
'ntfs': 'users,ro,nls=utf8,uid=%(uid)s,gid=%(gid)s',
'ext2': default_options+',sync',
'auto': default_options+',sync'
}

# try these filesystems, in this order.
# put auto as the last one, since most probably it will succeed
#
# you do not need to specify filesystems with the same options
# as auto here, to speed things up
try_filesystems = ['vfat','msdos','iso9660','ntfs-3g','ntfs','auto']

mount_command = '/bin/mount'
umount_command = '/bin/umount'

# call sync before unmounting. Possible values are True, False
do_sync=True


# all the devices are mounted under this directory
mntdir = '/media/'


# check if the medium to be mounted is recognized by kernel as a removable one
# possible values are:
# 'no' - no checking is performed
# 'relaxed' - if the medium is certainly not a removable, deny mounting it,
#             but mount it otherwise
# 'strict' - allow mounting only if it is certainly removable
#
# unfortunately, many usb devices, different hotplugged disks are
# not marked as removables, so better let this to be 'no'
check_removables = 'no'

# where to find list of already mounted filesystems
# /etc/mtab or /proc/mounts
mtab = '/etc/mtab'

